Bug 1131779 - pmdumptext segfaults when using invalid host
Summary: pmdumptext segfaults when using invalid host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pcp
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-20 04:49 UTC by Marko Myllynen
Modified: 2015-02-20 20:41 UTC (History)
7 users (show)

Fixed In Version: pcp-3.10.2-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 10:07:14 UTC


Attachments (Terms of Use)

Description Marko Myllynen 2014-08-20 04:49:52 UTC
Description of problem:

localhost:~> pmdumptext -s 1 'localhost:mem.util.used'
Tue Aug 19 14:47:41	3256516.000
localhost:~> pmdumptext -s 1 'nosuchhost:mem.util.used'
pmdumptext: Error: nosuchhost: No route to host
pmdumptext: no valid metrics, exiting.
zsh: exit 1     pmdumptext -s 1 'nosuchhost:mem.util.used'
localhost:~> pmdumptext 'nosuchhost:proc.psinfo.utime[12345]'
zsh: segmentation fault  pmdumptext 'nosuchhost:proc.psinfo.utime[12345]'
localhost:~> rpm -q pcp
pcp-3.9.9-1.el6.x86_64
localhost:~>

Comment 1 Marko Myllynen 2014-08-21 07:24:29 UTC
When pmcd is not running on the remote host pmdumptext segfaults also then:

localhost:~> ssh root@rhel-6-server service pmcd stop > /dev/null 2>&1
localhost:~> pmdumptext -i -l 'rhel-6-server:kernel.all.load[1]'
zsh: segmentation fault  pmdumptext -i -l 'rhel-6-server:kernel.all.load[1]'
localhost:~> ssh root@rhel-6-server service pmcd start > /dev/null 2>&1
localhost:~> pmdumptext -i -l 'rhel-6-server:kernel.all.load[1]'
             Source	rhel-6
Thu Aug 21 10:21:18	 0.25 
Thu Aug 21 10:21:19	 0.25 
^C

Comment 2 Ken McDonell 2014-08-22 22:54:27 UTC
Error is in libpcp_qmc with the error reporting logic on these two error paths.

Commit 01f8aea in my tree contains fixes for each of these.

Comment 3 Fedora Update System 2014-09-05 08:53:48 UTC
pcp-3.9.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc21

Comment 4 Fedora Update System 2014-09-05 08:54:37 UTC
pcp-3.9.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc20

Comment 5 Fedora Update System 2014-09-05 08:55:29 UTC
pcp-3.9.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.fc19

Comment 6 Fedora Update System 2014-09-05 08:56:23 UTC
pcp-3.9.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.el6

Comment 7 Fedora Update System 2014-09-05 08:57:15 UTC
pcp-3.9.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.9.10-1.el5

Comment 8 Fedora Update System 2014-09-06 00:59:52 UTC
Package pcp-3.9.10-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.9.10-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10197/pcp-3.9.10-1.fc21
then log in and leave karma (feedback).

Comment 9 Marko Myllynen 2014-09-08 05:15:09 UTC
Err.. In 3.9.10 pmdumptext is no more:

localhost:~> pmdumptext -s 1 'localhost:mem.util.used'
zsh: command not found: pmdumptext
zsh: exit 127   pmdumptext -s 1 'localhost:mem.util.used'
localhost:~> rpm -q pcp
pcp-3.9.10-1.el6.x86_64

Comment 10 Ken McDonell 2014-09-08 05:29:58 UTC
Marko, where did your rpms come from and for what platform?  I suspect the rpm build is bad, rather than a system PCP 3.9.10 issue.

I have pmdumptext in 3.9.10 images for at least the following (there may be others, these are the QA VMs that are up at the moment)

Date        Run Pass Fail Nrun Host
2014-09-04  687  672   15   50|bozo PCP 3.9.10 x86_64 Ubuntu 14.04
2014-09-02  674  660   14   62|bozo-laptop PCP 3.9.10 i686 LinuxMint 15
Daily runs, but no QA         |bozo-vm PCP 3.9.10 x86_64 Debian 7.5
2014-09-05  679  668   11   60|vm00 PCP 3.9.10 x86_64 Ubuntu 12.04
2014-09-05  671  662    9   68|vm01 PCP 3.9.10 i686 Ubuntu 12.10
2014-09-05  678  673    5   61|vm03 PCP 3.9.10 x86_64 Fedora 18
2014-09-07  673  663   10   66|vm14 PCP 3.9.10 x86_64 CentOS6.5
2014-09-07  660  646   14   79|vm22 PCP 3.9.10 x86_64 Fedora 19
2014-09-08  678  663   15   61|vm23 PCP 3.9.10 i686 Fedora 20

Comment 11 Marko Myllynen 2014-09-08 05:35:38 UTC
Hi Ken,

I'm on 64-bit RHEL 6 using this EPEL build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=575413

Thanks.

Comment 12 Ken McDonell 2014-09-08 06:53:15 UTC
Looks like that build is bad.

The closest thing I have is ...

kenj@vm14:~$ cat /etc/redhat-release
CentOS release 6.5 (Final)

with rpms I made myself from Makepkgs

kenj@vm14:~$ rpm -q -f /usr/bin/pmdumptext
pcp-gui-3.9.10-3.x86_64

Ahh ... you need to install the pcp-gui rpm, not just pcp ... is that the problem?

Comment 13 Marko Myllynen 2014-09-08 06:58:50 UTC
(In reply to Ken McDonell from comment #12)
> 
> kenj@vm14:~$ rpm -q -f /usr/bin/pmdumptext
> pcp-gui-3.9.10-3.x86_64
> 
> Ahh ... you need to install the pcp-gui rpm, not just pcp ... is that the
> problem?

Ah, thanks, that's it. I was testing on a system which had no pcp-gui, usually I have it installed and I didn't think pmdump*text* would be part of pcp-*gui* package :)

Wrt the segfault, I'm happy to confirm it's fixed.

Thanks.

Comment 14 Ken McDonell 2014-09-08 07:01:31 UTC
It is part of pcp-gui because is uses the same metrics class libraries that the gui tools (pmchart et al) use.  Does not have to be this way, but it just "is".

Comment 15 Fedora Update System 2014-09-09 22:11:10 UTC
Package pcp-3.9.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcp-3.9.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10376/pcp-3.9.10-1.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-09-15 16:00:11 UTC
pcp-3.9.10-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc19

Comment 17 Fedora Update System 2014-09-15 16:00:51 UTC
pcp-3.9.10-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc20

Comment 18 Fedora Update System 2014-09-15 16:01:32 UTC
pcp-3.9.10-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcp-3.9.10-4.fc21

Comment 19 Fedora Update System 2014-09-27 10:07:14 UTC
pcp-3.9.10-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2014-10-31 08:02:14 UTC
pcp-3.10.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcp-3.10.0-1.fc20

Comment 21 Fedora Update System 2014-10-31 08:03:27 UTC
pcp-3.10.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-3.10.0-1.fc19

Comment 22 Fedora Update System 2014-11-10 18:27:11 UTC
pcp-3.10.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2014-11-10 18:27:43 UTC
pcp-3.10.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-01-26 17:09:59 UTC
pcp-3.10.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.2-1.el5

Comment 25 Fedora Update System 2015-02-04 21:31:19 UTC
pcp-3.10.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.10.2-2.el5

Comment 26 Fedora Update System 2015-02-20 20:41:55 UTC
pcp-3.10.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.